/*
 * Copyright (c) 1996 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Fluke Operating System.  The Fluke Operating System
 * is free software, also known as "open source;" you can redistribute it
 * and/or modify it under the terms of the GNU General Public License (GPL),
 * version 2, as published by the Free Software Foundation (FSF).  To explore
 * alternate licensing terms, contact the University of Utah at
 * csl-dist@cs.utah.edu or +1-801-585-3271.
 * 
 * The Fluke Operating System is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GPL for more
 * details.  You should have received a copy of the GPL along with the Fluke
 * Operating System; see the file COPYING.  If not, write to the FSF, 59 Temple
 * Place #330, Boston, MA 02111-1307, USA.
 */

#ifndef _FLUKE_PROFILE_H_
#define _FLUKE_PROFILE_H_

#include <oskit/machine/types.h>

void fluke_doprof(
	int foo);

void _mcount(
	unsigned long frompc,
	unsigned long selfpc);
void mcount();

#include <fluke/machine/profile.h>

#define FLUKE_PROF_ON		1
#define FLUKE_PROF_OFF		2
#define FLUKE_PROF_DUMP		4

#endif /* _FLUKE_PROFILE_H_ */
